Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 1004)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 1005)
@@ -19,64 +19,62 @@
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ChartsEnginePreferences.class).getSymbolicName();
 
-	public static final String PREFERENCES_PREFIX = "charts_engine_"; //$NON-NLS-1$
-	
 	/**
 	 * The name of the current charts engine.
 	 */
-	public final static String CURRENT_NAME = PREFERENCES_PREFIX +  "current_name"; //$NON-NLS-1$
+	public final static String CURRENT_NAME = "current_name"; //$NON-NLS-1$
 	
 	
 	/**
 	 * Constant for showing title or not in the charts.
 	 */
-	public final static String SHOW_TITLE = PREFERENCES_PREFIX +  "show_title"; //$NON-NLS-1$
+	public final static String SHOW_TITLE = "show_title"; //$NON-NLS-1$
 
 
 	/**
 	 * Constant for showing legend or not in the charts.
 	 */
-	public final static String SHOW_LEGEND = PREFERENCES_PREFIX +  "show_legend"; //$NON-NLS-1$
+	public final static String SHOW_LEGEND = "show_legend"; //$NON-NLS-1$
 
 
 	/**
 	 * Constant for showing grid/lines or not in the charts.
 	 */
-	public final static String SHOW_GRID = PREFERENCES_PREFIX +  "show_grid"; //$NON-NLS-1$
+	public final static String SHOW_GRID = "show_grid"; //$NON-NLS-1$
 
 	
 	/**
 	 * Constant for the color mode (colors, grayscale, monochrome, B&W).
 	 */
-	public final static String RENDERING_COLORS_MODE = PREFERENCES_PREFIX +  "colors_mode"; //$NON-NLS-1$
+	public final static String RENDERING_COLORS_MODE = "colors_mode"; //$NON-NLS-1$
 	
 	
 	/**
 	 * Constant for the color to use when in monochrome mode.
 	 */
-	public final static String MONOCHROME_COLOR = PREFERENCES_PREFIX +  "monochrome_color"; //$NON-NLS-1$
+	public final static String MONOCHROME_COLOR = "monochrome_color"; //$NON-NLS-1$
 	
 	/**
 	 * Constant for the default export format.
 	 */
-	public static final String DEFAULT_EXPORT_FORMAT = PREFERENCES_PREFIX +  "default_export_format"; //$NON-NLS-1$
+	public static final String DEFAULT_EXPORT_FORMAT = "default_export_format"; //$NON-NLS-1$
 	
 	/**
 	 * Constant for the font.
 	 */
-	public final static String FONT = PREFERENCES_PREFIX +  "font"; //$NON-NLS-1$
+	public final static String FONT = "font"; //$NON-NLS-1$
 	
 	/**
 	 * Same style for all lines.
 	 */
-	public static final String MULTIPLE_LINE_STROKES = PREFERENCES_PREFIX + "multiple_line_strokes"; //$NON-NLS-1$
+	public static final String MULTIPLE_LINE_STROKES = "multiple_line_strokes"; //$NON-NLS-1$
 	
 
 	
 	
 	
 	// local result preferences
-	public final static String CHART_TYPE = PREFERENCES_PREFIX +  "chart_type"; //$NON-NLS-1$
+	public final static String CHART_TYPE = "chart_type"; //$NON-NLS-1$
 	
 	
 	
@@ -95,10 +93,7 @@
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 		
 		preferences.put(CURRENT_NAME, "jfreechart_charts_engine"); //$NON-NLS-1$
-		// FIXME: for build tests
-		//preferences.put(CURRENT_NAME, "r_charts_engine"); //$NON-NLS-1$
 		preferences.put(DEFAULT_EXPORT_FORMAT, "svg"); //$NON-NLS-1$
-
 		
 		initializeChartsEngineSharedPreferences(preferences);
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 1005)
@@ -1,6 +1,7 @@
 package org.txm.rcp.handlers;
 
 import java.util.Collections;
+import java.util.List;
 import java.util.Map;
 
 import org.eclipse.core.commands.AbstractHandler;
@@ -89,19 +90,29 @@
 	public Object getCorporaViewSelectedObject(ExecutionEvent event)	{
 		
 		//FIXME: check this, because it may be too linked to the Corpora view
-		Object o = CorporaView.getSelection();
+		Object o = CorporaView.getFirstSelectedObject();
 		// otherwise use this code
 		// yeah but selection might be tricky
 		//Object o = (IStructuredSelection) HandlerUtil.getCurrentSelection(event).getFirstElement();
 		if (o == null) {
-			Log.severe("BaseAbstractHandler.getSelection(): current selection is null.");
+			Log.severe("BaseAbstractHandler.getCorporaViewSelectedObject(): current selection is null.");
 		}
 		
-		Log.info("BaseAbstractHandler.getSelection(): selected object = " + o);
+		Log.info("BaseAbstractHandler.getCorporaViewSelectedObject(): selected object = " + o);
 		
 		return o;
 	}
 
+	/**
+	 * Gets the current selected objects.
+	 * @param event
+	 * @return
+	 */
+	public List<?> getCorporaViewSelectedObjects(ExecutionEvent event)	{
+		//FIXME: check this, because it may be too linked to the Corpora view
+		return CorporaView.getSelectedObjects();
+	}
+	
 	public static IViewPart getView(ExecutionEvent event, String id) throws PartInitException {
 		IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
 		return page.showView(id);
@@ -143,7 +154,7 @@
 	 * Logs a severe entry.
 	 * @param selection
 	 */
-	protected boolean logCanNotCompute(Object selection)	{
+	protected boolean logCanNotExecuteCommand(Object selection)	{
 		Log.severe("Can not execute command " + this.getClass() + " with the selection: " + selection + ".");
 		return false;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java	(revision 1005)
@@ -115,9 +115,9 @@
 			}
 
 			final String encoding = TXMPreferences.getString(TBXPreferences.EXPORT_ENCODING, TBXPreferences.PREFERENCES_NODE);
-			String _colseparator = TXMPreferences.getString(TBXPreferences.EXPORT_COLSEPARATOR, TBXPreferences.PREFERENCES_NODE);
+			String _colseparator = TXMPreferences.getString(TBXPreferences.EXPORT_COL_SEPARATOR, TBXPreferences.PREFERENCES_NODE);
 			final String colseparator = _colseparator;
-			String _txtseparator = TXMPreferences.getString(TBXPreferences.EXPORT_TXTSEPARATOR, TBXPreferences.PREFERENCES_NODE);
+			String _txtseparator = TXMPreferences.getString(TBXPreferences.EXPORT_TXT_SEPARATOR, TBXPreferences.PREFERENCES_NODE);
 			final String txtseparator = _txtseparator;
 
 			JobHandler jobhandler = new JobHandler(TXMUIMessages.ExportResult_0) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/SetTXMResultPersistentState.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/SetTXMResultPersistentState.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/SetTXMResultPersistentState.java	(revision 1005)
@@ -0,0 +1,94 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.handlers.results;
+
+import java.util.Map;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.ui.commands.IElementUpdater;
+import org.eclipse.ui.menus.UIElement;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.TXMResult;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+
+/**
+ * Swaps the persistence state of the selected TXM result nodes.
+ * 
+ * @author sjacquot
+ * 
+ */
+public class SetTXMResultPersistentState extends BaseAbstractHandler implements IElementUpdater {
+
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+
+		// FIXME: multiple selection
+		// FIXME: how to manage the checkbox state? 
+//		List objects = this.getCorporaViewSelectedObjects(event);
+//		if(objects != null)	{
+//			for (int i = 0; i < objects.size(); i++) {
+//				if(objects.get(i) instanceof TXMResult)	{
+//					((TXMResult)objects.get(i)).swapPersistableState();
+//				}
+//			}
+//			//CorporaView.refresh();
+//			return null;
+//		}
+//		else	{
+//			return super.logCanNotExecuteCommand(objects);
+//		}
+		
+		// FIXME: single selection
+		Object object = this.getCorporaViewSelectedObject(event);
+		if(object instanceof TXMResult)	{
+			TXMResult result = ((TXMResult)object);
+			result.swapUserPersistableState();
+			if(result.mustBePersisted())	{
+				TXMPreferences.flush(result);
+			}
+			CorporaView.refresh();
+			return null;
+		}
+		else	{
+			return super.logCanNotExecuteCommand(object);
+		}
+
+	}
+
+	@Override
+	public void updateElement(UIElement element, Map parameters) {
+		Object object = this.getCorporaViewSelectedObject(null);
+		if(object instanceof TXMResult)	{
+			element.setChecked(((TXMResult)object).isUserPersistable());
+		}
+	}
+	
+}

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java	(revision 1005)
@@ -27,12 +27,12 @@
 //
 package org.txm.rcp.handlers.results;
 
-import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.results.TXMResult;
+import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 
 /**
@@ -41,7 +41,7 @@
  * @author sjacquot
  * 
  */
-public class CloneTXMResult extends AbstractHandler {
+public class CloneTXMResult extends BaseAbstractHandler {
 
 
 	
@@ -60,11 +60,14 @@
 			
 			// FIXME: hierarchy tests
 			//srcNode.addChild(clone);
+			CorporaView.refresh();
+			return null;
 		}
+		else	{
+			return super.logCanNotExecuteCommand(selection);
+		}
+
 		
-		CorporaView.refresh();
-
-		return null;
 	}
 	
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 1005)
@@ -190,8 +190,8 @@
 		ExecuteLastGroovyScript.setLastScript(scriptfile, currentRootDir.getName().equals("macro")); // register last groovy script //$NON-NLS-1$
 
 		// get current selection of the corpora view
-		final Object corpusViewSelection = CorporaView.getSelection();
-		final Object corpusViewSelections = CorporaView.getSelections();
+		final Object corpusViewSelection = CorporaView.getFirstSelectedObject();
+		final Object corpusViewSelections = CorporaView.getSelectedObjects();
 
 		final Object selection;
 		final List selections;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 1005)
@@ -113,8 +113,8 @@
 		final String scriptRootDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
 
 		// get current selection of the corpora view
-				final Object corpusViewSelection = CorporaView.getSelection();
-				final Object corpusViewSelections = CorporaView.getSelections();
+				final Object corpusViewSelection = CorporaView.getFirstSelectedObject();
+				final Object corpusViewSelections = CorporaView.getSelectedObjects();
 				final Object selection = null;
 				final List selections = null;
 				
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapterFactory.java	(revision 1005)
@@ -1,8 +1,11 @@
 // Copyright © 2010-2013 ENS de Lyon.
 package org.txm.rcp.adapters;
 
+import java.util.Arrays;
+
 import org.eclipse.core.runtime.IAdapterFactory;
 import org.eclipse.ui.model.IWorkbenchAdapter;
+import org.eclipse.ui.model.IWorkbenchAdapter2;
 
 
 /**
@@ -14,6 +17,7 @@
  */
 public abstract class TXMResultAdapterFactory implements IAdapterFactory {
 
+	 private static final Class<?>[] ADAPTER_LIST = new Class<?>[] { IWorkbenchAdapter.class, IWorkbenchAdapter2.class};
 
 	/**
 	 * Gets the adapter list.
@@ -22,9 +26,17 @@
 	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapterList()
 	 */
 	@Override
-	@SuppressWarnings({"rawtypes" }) //$NON-NLS-1$
+	@SuppressWarnings({"rawtypes"}) //$NON-NLS-1$
 	public Class[] getAdapterList() {
-		return new Class[] { IWorkbenchAdapter.class};
+		return ADAPTER_LIST;
 	}
 
+	/**
+	 * Checks if the factory manage the specified adapter type.
+	 * @param adapterType
+	 * @return
+	 */
+	protected boolean canAdapt(Class adapterType)	{
+		return Arrays.asList(this.getAdapterList()).contains(adapterType);
+	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java	(revision 1005)
@@ -3,7 +3,16 @@
  */
 package org.txm.rcp.adapters;
 
-import org.eclipse.ui.model.IWorkbenchAdapter;
+import java.util.Random;
+
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.graphics.Color;
+import org.eclipse.swt.graphics.FontData;
+import org.eclipse.swt.graphics.RGB;
+import org.eclipse.swt.widgets.Display;
+import org.eclipse.ui.ISharedImages;
+import org.eclipse.ui.PlatformUI;
+import org.eclipse.ui.model.WorkbenchAdapter;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.TXMResult;
 
@@ -14,7 +23,7 @@
  * @author sjacquot
  *
  */
-public abstract class TXMResultAdapter implements IWorkbenchAdapter {
+public abstract class TXMResultAdapter extends WorkbenchAdapter {
 
 	/**
 	 * 
@@ -43,4 +52,41 @@
 		return ((TXMResult) result).getParent();
 	}
 
+	@Override
+	public FontData getFont(Object element) {
+//		PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_OBJ_ELEMENT);
+//		FontData fontData = Display.getCurrent().getSystemFont().getFontData()[0];
+//		fontData.setStyle(SWT.BOLD);
+//		return fontData;
+		return null;
+	}
+
+	@Override
+    public RGB getForeground(Object element) {
+		if(element instanceof TXMResult && !((TXMResult)element).hasBeenComputedOnce())	{
+	    	Display display = Display.getCurrent();
+	    	Color color = display.getSystemColor(SWT.COLOR_GRAY);
+	    	return color.getRGB();
+		}
+		return null;
+    }
+
+	@Override
+    public RGB getBackground(Object element) {
+		if(element instanceof TXMResult && ((TXMResult)element).isUserPersistable())	{
+	    	Display display = Display.getCurrent();
+	    	Color color = display.getSystemColor(SWT.COLOR_INFO_BACKGROUND);
+
+	    	// FIXME: random color tests
+//	    	Random rnd = new Random();
+//	    	int r = rnd.nextInt(128) + 128; // 128 ... 255
+//	    	int g = rnd.nextInt(128) + 128; // 128 ... 255
+//	    	int b = rnd.nextInt(128) + 128; // 128 ... 255
+//	    	Color blue = new Color(display, r, g, b);
+	    	
+	    	return color.getRGB();
+		}
+		return null;
+    }
+
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1005)
@@ -8,6 +8,10 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.rcp.messages.messages"; //$NON-NLS-1$
 	
+	public static String preferences_advanced_enableResultsPersistence;
+	public static String preferences_advanced_showAllResultNodesInCorporaView;
+	
+	
 	public static String About_Menu_Label;
 	public static String AdapterFactory_0;
 	public static String AddBase_10;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java	(revision 1005)
@@ -76,21 +76,10 @@
 	 */
 	@Override
 	public Object[] getChildren(Object element) {
-//		HashMap<Class, Class> managed = CorporaView.getManagedDoubleClickClasses();
 		IWorkbenchAdapter adapter = getAdapter(element);
 		if (adapter != null) {
 			Object[] children = adapter.getChildren(element);
-			//			ArrayList<Object> managedChildrenList = new ArrayList<Object>();
-			//			for (Object child : children) {
-			//				if (managed.containsKey(child.getClass())) {
-			//					managedChildrenList.add(child);
-			//				}
-			//			}
-			//			Object[] managedChildren = managedChildrenList.toArray();
-
-
 			// FIXME: sort here the TXM result according to current sorting preference order, eg. getWeight(), getDate(), getName(), getClass()
-
 			//			Arrays.sort(children, new Comparator<Object>() {
 			//				@Override
 			//				public int compare(Object o1, Object o2) {
@@ -101,8 +90,7 @@
 			//			});
 			return children;
 		}
-
-		if (element instanceof TXMResult) {
+		else if (element instanceof TXMResult) {
 			return ((TXMResult)element).getChildren().toArray();
 		}
 		return new Object[0];
@@ -145,10 +133,12 @@
 	 */
 	@Override
 	public Object getParent(Object element) {
-		IWorkbenchAdapter adapter = getAdapter(element);
-		if (adapter != null) {
-			return adapter.getParent(element);
-		} else if (element instanceof TXMResult) {
+//		IWorkbenchAdapter adapter = getAdapter(element);
+//		if (adapter != null) {
+//			return adapter.getParent(element);
+//		}
+//		else
+			if (element instanceof TXMResult) {
 			return ((TXMResult)element).getParent();
 		}
 		return null;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1005)
@@ -74,6 +74,7 @@
 import org.eclipse.ui.commands.ICommandService;
 import org.eclipse.ui.contexts.IContextService;
 import org.eclipse.ui.handlers.IHandlerService;
+import org.eclipse.ui.model.WorkbenchLabelProvider;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
 import org.txm.core.results.TXMResult;
@@ -175,9 +176,10 @@
 
 			treeViewer.setContentProvider(new TXMResultContentProvider(this));
 			//treeViewer.setLabelProvider(new TextometrieLabelProvider());
-			treeViewer.setLabelProvider(
-					new DecoratingLabelProvider(new TXMResultLabelProvider(),
-							PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
+			
+			//treeViewer.setLabelProvider(new DecoratingLabelProvider(new TXMResultLabelProvider(),PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
+			treeViewer.setLabelProvider(new DecoratingLabelProvider(new WorkbenchLabelProvider(), PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
+			
 			Workspace w = Toolbox.workspace;
 			if (w == null) return;
 			Project p = w.getProject("default"); //$NON-NLS-1$
@@ -195,8 +197,7 @@
 	@Override
 	public void createPartControl(Composite parent) {
 		treeViewer = new TreeViewer(parent, SWT.MULTI | SWT.H_SCROLL | SWT.V_SCROLL);
-		PlatformUI.getWorkbench().getHelpSystem().setHelp(
-				treeViewer.getControl(), TXMUIMessages.CorporaView_0);
+		PlatformUI.getWorkbench().getHelpSystem().setHelp(treeViewer.getControl(), TXMUIMessages.CorporaView_0);
 		getSite().setSelectionProvider(treeViewer);
 		treeViewer.setColumnProperties(new String[]{"name"}); // mandatory to enable edit mode -> used to identify columns
 
@@ -253,10 +254,10 @@
 		//		});
 		treeViewer.setContentProvider(new TXMResultContentProvider(this));
 		//treeViewer.setLabelProvider(new TextometrieLabelProvider());
-		treeViewer.setLabelProvider(
-				new DecoratingLabelProvider(new TXMResultLabelProvider(),
-						PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
-
+		//treeViewer.setLabelProvider(new DecoratingLabelProvider(new TXMResultLabelProvider(), PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
+		
+		treeViewer.setLabelProvider(new DecoratingLabelProvider(new WorkbenchLabelProvider(), PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
+		
 		// for now the sorter is used to sort the Corpus, Subcorpus and partition objects
 		treeViewer.setSorter(new ViewerSorter() {
 			public int category(Object element) {
@@ -458,24 +459,30 @@
 		treeViewer.getControl().setFocus();
 	}
 
-	public static Object getSelection() {
+	/**
+	 * Gets the first selected object in the tree.
+	 * @return
+	 */
+	public static Object getFirstSelectedObject() {
 		CorporaView corporaView = getInstance();
 		if (corporaView != null) {
 			ISelection selection = corporaView.treeViewer.getSelection();
-			if (selection != null
-					& selection instanceof IStructuredSelection) {
+			if (selection != null & selection instanceof IStructuredSelection) {
 				return ((IStructuredSelection)selection).getFirstElement();
 			}
 		}
 		return null;
 	}
 
-	public static List<?> getSelections() {
+	/**
+	 * Gets the selected objects in the tree.
+	 * @return
+	 */
+	public static List<?> getSelectedObjects() {
 		CorporaView corporaView = getInstance();
 		if (corporaView != null) {
 			ISelection selection = corporaView.treeViewer.getSelection();
-			if (selection != null
-					& selection instanceof IStructuredSelection) {
+			if (selection != null & selection instanceof IStructuredSelection) {
 				return ((IStructuredSelection)selection).toList();
 			}
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 1005)
@@ -130,6 +130,7 @@
 		buffer.append("Selected object = " + this.currentResult + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Node visible = " + this.currentResult.isVisible() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Node weight = " + this.currentResult.getWeight() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buffer.append("Persistable = " + this.currentResult.isPersistable() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 //		if (this.currentResult instanceof ChartResult) 	{
 //			buffer.append("Chart engine = " + ((ChartResult)this.currentResult).getChartsEngine() + ", chart object = " + ((ChartResult)this.currentResult).getChart()
 //					+ ", chart type = " + ((ChartResult)this.currentResult).getChartType()
@@ -145,7 +146,7 @@
 	@Override
 	public void selectionChanged(SelectionChangedEvent event) {
 		
-		Object selection = CorporaView.getSelection();
+		Object selection = CorporaView.getFirstSelectedObject();
 		
 		if (selection instanceof TXMResult) {
 			this.currentResult = (TXMResult) selection;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java	(revision 1005)
@@ -93,7 +93,7 @@
 		addField(new BooleanFieldEditor(TBXPreferences.ADD_TECH_LOGS, TXMUIMessages.AdvancePreferencePage_13, updateGroup));
 		
 		// Show dialog on severe error
-		addField(new BooleanFieldEditor(RCPPreferences.SHOW_SEVERE_DIALOG, "Show a dialog when a severe error occurs", updateGroup));
+		addField(new BooleanFieldEditor(RCPPreferences.SHOW_SEVERE_DIALOG, "Show a dialog box when a severe error occurs", updateGroup));
 
 		// Log in file
 		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, TXMUIMessages.AdvancePreferencePage_14, updateGroup));
@@ -108,12 +108,9 @@
 		
 		// Expert mode
 		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, TXMUIMessages.AdvancePreferencePage_4, getFieldEditorParent()));
-		
-		// Show all result nodes in Corpora view
-		addField(new BooleanFieldEditor(TBXPreferences.SHOW_ALL_RESULT_NODES, "Show all result nodes in Corpora view", getFieldEditorParent()));
 
 		// Auto save each result after computing and auto load them at startup
-		addField(new BooleanFieldEditor(TBXPreferences.PERSISTENCE_ENABLED, "Enable results persistence", getFieldEditorParent()));
+		addField(new BooleanFieldEditor(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TXMUIMessages.preferences_advanced_enableResultsPersistence, getFieldEditorParent()));
 
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 1005)
@@ -59,8 +59,8 @@
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 
 		preferences.put(TBXPreferences.EXPORT_ENCODING, System.getProperty("file.encoding")); //$NON-NLS-1$
-		preferences.put(TBXPreferences.EXPORT_COLSEPARATOR, "\t"); //$NON-NLS-1$
-		preferences.put(TBXPreferences.EXPORT_TXTSEPARATOR, ""); //$NON-NLS-1$
+		preferences.put(TBXPreferences.EXPORT_COL_SEPARATOR, "\t"); //$NON-NLS-1$
+		preferences.put(TBXPreferences.EXPORT_TXT_SEPARATOR, ""); //$NON-NLS-1$
 		preferences.put(RCPPreferences.UI_LOCALE, "en"); //$NON-NLS-1$
 		
 		preferences.putBoolean(AUTO_UPDATE_EDITOR, true);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ExportPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ExportPreferencePage.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ExportPreferencePage.java	(revision 1005)
@@ -79,12 +79,12 @@
 		
 		String[][] cols = {{"\t","\t"}, {",", ","}, {";", ";"}}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 		String txts[][] = {{"", ""}, {"\"", "\""}, {"'", "'"}}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
-		colseparators = new ComboFieldEditor(TBXPreferences.EXPORT_COLSEPARATOR,
+		colseparators = new ComboFieldEditor(TBXPreferences.EXPORT_COL_SEPARATOR,
 				TXMUIMessages.ExportPreferencePage_18, cols, getFieldEditorParent());
 		addField(colseparators);
 		
 		
-		txtseparators = new ComboFieldEditor(TBXPreferences.EXPORT_TXTSEPARATOR,
+		txtseparators = new ComboFieldEditor(TBXPreferences.EXPORT_TXT_SEPARATOR,
 				TXMUIMessages.ExportPreferencePage_19, txts, getFieldEditorParent());
 		addField(txtseparators);
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 1005)
@@ -0,0 +1,28 @@
+package org.txm.rcp.preferences;
+
+import org.eclipse.jface.preference.BooleanFieldEditor;
+import org.eclipse.ui.IWorkbench;
+import org.txm.core.preferences.TBXPreferences;
+import org.txm.rcp.messages.TXMUIMessages;
+
+/**
+ * Debug preferences page.
+ * 
+ * @author sjacquot
+ *
+ */
+public class DebugPreferencePage extends TXMPreferencePage {
+
+
+	@Override
+	public void createFieldEditors() {
+		// Show all result nodes in Corpora view
+		addField(new BooleanFieldEditor(TBXPreferences.SHOW_ALL_RESULT_NODES, TXMUIMessages.preferences_advanced_showAllResultNodesInCorporaView, getFieldEditorParent()));
+	}
+	
+	
+	@Override
+	public void init(IWorkbench workbench) {
+		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.PREFERENCES_NODE));
+	}
+}

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/ITXMPartEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/ITXMPartEditor.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/ITXMPartEditor.java	(revision 1005)
@@ -13,12 +13,6 @@
 	public TXMResult getResultData();
 
 	/**
-	 * Computes and creates or updates the result (from the linked editor input data).
-	 * @param update set if it's an update on an existing result or a creation of a new result 
-	 */
-//	public abstract void computeResult();
-
-	/**
 	 * Synchronizes the editor with the result and refreshes the corpus view. 
 	 */
 	public void refresh();
